com.elastisys.scale.cloudpool.api.restapi.types

## Class SetMembershipStatusRequest

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.restapi.types.SetMembershipStatusRequest

    public class SetMembershipStatusRequest
    extends Object

REST API request type that requests a certain membership status be set for a machine in the pool.

See Also:
  `CloudPoolHandler#setMembershipStatus(String, com.elastisys.scale.cloudpool.api.restapi.SetMembershipStatusRequest)`

### Constructor Summary

Constructors
Constructor and Description
`SetMembershipStatusRequest(MembershipStatus membershipStatus)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`MembershipStatus` `getMembershipStatus()`
`int` `hashCode()`
`void` `setMembershipStatus(MembershipStatus membershipStatus)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SetMembershipStatusRequest

    public SetMembershipStatusRequest(MembershipStatus membershipStatus)

### Method Detail

#### getMembershipStatus

    public MembershipStatus getMembershipStatus()

#### setMembershipStatus

    public void setMembershipStatus(MembershipStatus membershipStatus)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`